<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy8ckit__032_8h" kind="file" language="C++">
    <compoundname>cy8ckit_032.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes">cybsp.h</includes>
    <includes local="yes">cy_result.h</includes>
    <includes local="yes">mtb_ssd1306.h</includes>
    <includedby local="yes" refid="cy8ckit__032_8c">cy8ckit_032.c</includedby>
    <incdepgraph>
      <node id="5">
        <label>stdbool.h</label>
      </node>
      <node id="4">
        <label>stdint.h</label>
      </node>
      <node id="8">
        <label>mtb_ssd1306.h</label>
      </node>
      <node id="7">
        <label>cy_result.h</label>
      </node>
      <node id="3">
        <label>cy8ckit_032.h</label>
        <link refid="cy8ckit__032_8h" />
        <childnode refid="4" relation="include">
        </childnode>
        <childnode refid="5" relation="include">
        </childnode>
        <childnode refid="6" relation="include">
        </childnode>
        <childnode refid="7" relation="include">
        </childnode>
        <childnode refid="8" relation="include">
        </childnode>
      </node>
      <node id="6">
        <label>cybsp.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__board__libs__pins_1gaa1324cb2e3f3584654555f4d61d0e076" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_LIGHT_SENSOR</name>
        <initializer>(CYBSP_A0)</initializer>
        <briefdescription>
<para>Analog pin to read the Ambient Light Sensor's raw value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="58" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="58" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1ga7a8f082816e2c3cc827b0e3517706763" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_DAC_VOLTAGE</name>
        <initializer>(CYBSP_A1)</initializer>
        <briefdescription>
<para>Analog pin to read the DAC's output voltage. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="60" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="60" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1ga4c6f5e34f92eb921365801d567f6cfad" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_POTENTIOMETER</name>
        <initializer>(CYBSP_A2)</initializer>
        <briefdescription>
<para>Analog pin to read the Potentiometer's output voltage. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="62" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="62" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1gab1f931bd4015ab316fcd3e8a9a128b48" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_UART_RX</name>
        <initializer>(CYBSP_D0)</initializer>
        <briefdescription>
<para>UART RX pin (UART functionality is not implemented in the default PSoC firmware). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="64" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="64" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1ga24d819b77b0663e9818e2e580b770ea4" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_UART_TX</name>
        <initializer>(CYBSP_D1)</initializer>
        <briefdescription>
<para>UART TX pin (UART functionality is not implemented in the default PSoC firmware). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="66" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="66" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1ga12f09ff90675536dec7d99be8e1a5704" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_GPIO</name>
        <initializer>(CYBSP_D2)</initializer>
        <briefdescription>
<para>GPIO pin (GPIO functionality is not implemented in the default PSoC firmware). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="68" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="68" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1gabf8b2ab9d9a75c5439897718376a0f20" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_BUTTON1</name>
        <initializer>(CYBSP_D4)</initializer>
        <briefdescription>
<para>Pin for Mechanical Button MB1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="70" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="70" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1ga963952c9a64fb53932b4f10540e8b51a" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_LED1</name>
        <initializer>(CYBSP_D5)</initializer>
        <briefdescription>
<para>Pin for LED1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="72" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="72" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1ga90d133a217634456300ab270495aa2c8" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_LED2</name>
        <initializer>(CYBSP_D11)</initializer>
        <briefdescription>
<para>Pin for LED1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="74" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="74" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1gab366e2cd95bc94d4711892a77d3809f2" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_BUTTON2</name>
        <initializer>(CYBSP_D12)</initializer>
        <briefdescription>
<para>Pin for Mechanical Button MB2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="76" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="76" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1ga5819fc459c9cffe604b2f654ca09a895" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_CAPSENSE_ISR</name>
        <initializer>(CYBSP_D13)</initializer>
        <briefdescription>
<para>Pin for CapSense Interrupt signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="78" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="78" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1gaa91ac45146379732e5011d701fcfd426" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_I2C_SDA</name>
        <initializer>(CYBSP_D14)</initializer>
        <briefdescription>
<para>Pin for I2C SDA. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="80" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="80" />
      </memberdef>
      <memberdef id="group__group__board__libs__pins_1ga339865b1265eb9188a02865216672d96" kind="define" prot="public" static="no">
        <name>CY8CKIT_032_PIN_I2C_SCL</name>
        <initializer>(CYBSP_D15)</initializer>
        <briefdescription>
<para>Pin for I2C SCL. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="82" column="9" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="82" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__board__libs__afe_1ga8ae4e63f4cf9368b21b9135e4a99969e" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cy8ckit_032_led_ctrl_t</name>
        <enumvalue id="group__group__board__libs__afe_1gga8ae4e63f4cf9368b21b9135e4a99969ea990159918a6a08206cc69f0ed5724acd" prot="public">
          <name>CY8CKIT_032_LED_CTRL_CAPSENSE</name>
          <initializer>= 0x00</initializer>
          <briefdescription>
<para>LEDs are controlled by CapSense signal detect. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga8ae4e63f4cf9368b21b9135e4a99969eac31237ee0fd6c067a7b7d985316d2d35" prot="public">
          <name>CY8CKIT_032_LED_CTRL_SW</name>
          <initializer>= 0x01</initializer>
          <briefdescription>
<para>LEDs are controlled by sofware <ref kindref="member" refid="group__group__board__libs__afe_1ga9a2abb7cf0fc2e7a227b0090206c6b25">cy8ckit_032_set_cled_states()</ref> </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy8ckit_032_led_ctrl_t: </bold><linebreak />Different operating mode for the CapSense LEDs (CLED0, CLED1, CLED2, CLED3).</para></briefdescription>
        <detaileddescription>
<para><ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control()</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="96" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="93" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="93" />
      </memberdef>
      <memberdef id="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cy8ckit_032_cled_t</name>
        <enumvalue id="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791acf575695441321c054ea4575a0d5a688" prot="public">
          <name>CY8CKIT_032_CLED0</name>
          <initializer>= 0x01</initializer>
          <briefdescription>
<para>CapSense LED0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791a6875d2eb6dad64f7f58b46acd8174c41" prot="public">
          <name>CY8CKIT_032_CLED1</name>
          <initializer>= 0x02</initializer>
          <briefdescription>
<para>CapSense LED1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791a66b579835c443d54705e2ce6adb6c7ca" prot="public">
          <name>CY8CKIT_032_CLED2</name>
          <initializer>= 0x04</initializer>
          <briefdescription>
<para>CapSense LED2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791a35017434b0f88ca8e7e40d218ef557c7" prot="public">
          <name>CY8CKIT_032_CLED3</name>
          <initializer>= 0x08</initializer>
          <briefdescription>
<para>CapSense LED3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy8ckit_032_cled_t: </bold><linebreak />The CapSense LEDs that can be controlled by the CapSense detection, or software.</para></briefdescription>
        <detaileddescription>
<para>See:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1gad0904175debfeefc12418de6819c747f">cy8ckit_032_get_cled_states()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1ga6e086bd772859b13190977f9a11d3424">cy8ckit_032_get_cled_state()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1ga9a2abb7cf0fc2e7a227b0090206c6b25">cy8ckit_032_set_cled_states()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__board__libs__afe_1ga4fe179327d38604d082fd32706a836e9">cy8ckit_032_set_cled_state()</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="110" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="105" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="105" />
      </memberdef>
      <memberdef id="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cy8ckit_032_button_t</name>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a86b4e38ca54d7e17670f57a36068059a" prot="public">
          <name>CY8CKIT_032_BTN_CAPSENSE_B0</name>
          <initializer>= 0x01</initializer>
          <briefdescription>
<para>CapSense Button 0 (B0) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a5219805a2911005c52d6c6091f54b197" prot="public">
          <name>CY8CKIT_032_BTN_CAPSENSE_B1</name>
          <initializer>= 0x02</initializer>
          <briefdescription>
<para>CapSense Button 1 (B1) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430af2e76120234cd700f72f4ab481992e9b" prot="public">
          <name>CY8CKIT_032_BTN_CAPSENSE_B2</name>
          <initializer>= 0x04</initializer>
          <briefdescription>
<para>CapSense Button 2 (B2) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a03166086ed04e19c72d51565b56c46ab" prot="public">
          <name>CY8CKIT_032_BTN_CAPSENSE_B3</name>
          <initializer>= 0x08</initializer>
          <briefdescription>
<para>CapSense Button 3 (B3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a8c4a8c70f60aecdff398b4d1c6678734" prot="public">
          <name>CY8CKIT_032_BTN_MECHANICAL_B1</name>
          <initializer>= 0x10</initializer>
          <briefdescription>
<para>Mechanical Button 1 (MB1) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a9c423e22d65eedfe2a31c0a5a7ff569d" prot="public">
          <name>CY8CKIT_032_BTN_MECHANICAL_B2</name>
          <initializer>= 0x20</initializer>
          <briefdescription>
<para>Mechanical Button 2 (MB2) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a63eafa6b5b7eb2f1a5aeadb088ec1237" prot="public">
          <name>CY8CKIT_032_BTN_PROXIMITY</name>
          <initializer>= 0x40</initializer>
          <briefdescription>
<para>Proximity Sensor (Proximity Loop) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy8ckit_032_button_t: </bold><linebreak />The different buttons that are read by <ref kindref="member" refid="group__group__board__libs__afe_1ga133dd5aaaec2244008abda92ba8f4bb8">cy8ckit_032_get_button_states()</ref> or <ref kindref="member" refid="group__group__board__libs__afe_1gaecbe783623caee02f3c33260d564a218">cy8ckit_032_get_button_state()</ref></para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="121" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="113" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="113" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga3f1d698f453a56c53c6fb82154eab33d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_init</definition>
        <argsstring>(cyhal_i2c_t *inst)</argsstring>
        <name>cy8ckit_032_init</name>
        <param>
          <type>cyhal_i2c_t *</type>
          <declname>inst</declname>
        </param>
        <briefdescription>
<para>Initializes the I2C interface for communicating with the AFE and OLED components on the board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional I2C instance to use for communicating with the peripherals on the shield. If NULL, a new instance will be allocated using the CYBSP_I2C_SCL &amp; CYBSP_I2C_SDA pins. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="119" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="87" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="152" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga95cffb0a55bb053a698c65a1e995a73b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy8ckit_032_free</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_032_free</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Frees up any resources allocated as part of <ref kindref="member" refid="group__group__board__libs__afe_1ga3f1d698f453a56c53c6fb82154eab33d">cy8ckit_032_init()</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="178" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="172" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="157" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga914db1d633216a9597a3382f31c45b91" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_set_dac_voltage</definition>
        <argsstring>(float volts)</argsstring>
        <name>cy8ckit_032_set_dac_voltage</name>
        <param>
          <type>float</type>
          <declname>volts</declname>
        </param>
        <briefdescription>
<para>Updates the output voltage from the DAC on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">volts</parametername>
</parameternamelist>
<parameterdescription>
<para>Desired DAC voltage in Volts </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="168" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="165" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1gad0904175debfeefc12418de6819c747f" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_cled_states</definition>
        <argsstring>(uint8_t *states)</argsstring>
        <name>cy8ckit_032_get_cled_states</name>
        <param>
          <type>uint8_t *</type>
          <declname>states</declname>
        </param>
        <briefdescription>
<para>Gets the current state of the CapSense LEDs on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">states</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of each of the CLEDs. See <ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref> for bitmasks. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="180" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="177" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="177" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga6e086bd772859b13190977f9a11d3424" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_get_cled_state</definition>
        <argsstring>(cy8ckit_032_cled_t cled, bool *state)</argsstring>
        <name>cy8ckit_032_get_cled_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref></type>
          <declname>cled</declname>
        </param>
        <param>
          <type>bool *</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Gets the current state of a single CapSense LED on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cled</parametername>
</parameternamelist>
<parameterdescription>
<para>The CLED to get the state for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">state</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of the requested CLED. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="132" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="125" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="189" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga9a2abb7cf0fc2e7a227b0090206c6b25" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_set_cled_states</definition>
        <argsstring>(uint8_t states)</argsstring>
        <name>cy8ckit_032_set_cled_states</name>
        <param>
          <type>uint8_t</type>
          <declname>states</declname>
        </param>
        <briefdescription>
<para>Sets the current state of the CapSense LEDs on the shield board if it is configured for Software Control (<ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control()</ref>). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">states</parametername>
</parameternamelist>
<parameterdescription>
<para>The desired state of each of the CLED pins. See <ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref> for bitmasks. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="202" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="199" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="199" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga4fe179327d38604d082fd32706a836e9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_set_cled_state</definition>
        <argsstring>(cy8ckit_032_cled_t cled, bool state)</argsstring>
        <name>cy8ckit_032_set_cled_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref></type>
          <declname>cled</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Sets the current state of the referenced CapSense LED on the shield board if it is configured for Software Control (<ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control()</ref>). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cled</parametername>
</parameternamelist>
<parameterdescription>
<para>The CLED to get the state for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">state</parametername>
</parameternamelist>
<parameterdescription>
<para>The desired state of the requested CLED. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="153" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="138" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="212" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_set_led_control</definition>
        <argsstring>(cy8ckit_032_led_ctrl_t control)</argsstring>
        <name>cy8ckit_032_set_led_control</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1ga8ae4e63f4cf9368b21b9135e4a99969e">cy8ckit_032_led_ctrl_t</ref></type>
          <declname>control</declname>
        </param>
        <briefdescription>
<para>Sets the control behavior for the CapSense LEDs. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">control</parametername>
</parameternamelist>
<parameterdescription>
<para>The controller for the CLEDs </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="223" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="220" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="220" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga510471363750648f95a23e275b80c82b" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_led_control</definition>
        <argsstring>(cy8ckit_032_led_ctrl_t *control)</argsstring>
        <name>cy8ckit_032_get_led_control</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1ga8ae4e63f4cf9368b21b9135e4a99969e">cy8ckit_032_led_ctrl_t</ref> *</type>
          <declname>control</declname>
        </param>
        <briefdescription>
<para>Gets the current controller mode for the CapSense LEDs. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">control</parametername>
</parameternamelist>
<parameterdescription>
<para>The controller mode for the CLEDs. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="234" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="231" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="231" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga133dd5aaaec2244008abda92ba8f4bb8" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_button_states</definition>
        <argsstring>(uint8_t *states)</argsstring>
        <name>cy8ckit_032_get_button_states</name>
        <param>
          <type>uint8_t *</type>
          <declname>states</declname>
        </param>
        <briefdescription>
<para>Gets the current state of the Buttons on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">states</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of each of the Buttons. See <ref kindref="member" refid="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430">cy8ckit_032_button_t</ref> for bitmasks. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="246" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="243" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="243" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1gaecbe783623caee02f3c33260d564a218" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_032_get_button_state</definition>
        <argsstring>(cy8ckit_032_button_t button, bool *state)</argsstring>
        <name>cy8ckit_032_get_button_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430">cy8ckit_032_button_t</ref></type>
          <declname>button</declname>
        </param>
        <param>
          <type>bool *</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Gets the current state of a single Button on the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">button</parametername>
</parameternamelist>
<parameterdescription>
<para>The Button to get the state for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">state</parametername>
</parameternamelist>
<parameterdescription>
<para>The current state of the requested Button. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="166" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.c" bodystart="159" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="255" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga8b76517d2c71cc29c15994e291ef52f5" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_temperature_c</definition>
        <argsstring>(float *temperature)</argsstring>
        <name>cy8ckit_032_get_temperature_c</name>
        <param>
          <type>float *</type>
          <declname>temperature</declname>
        </param>
        <briefdescription>
<para>Gets the current temperature, in degrees C, from the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">temperature</parametername>
</parameternamelist>
<parameterdescription>
<para>The current temperature in degrees C. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="266" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="263" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="263" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1gaf3eccc9ce9a839fd55285253550e62e1" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_humidity_percent</definition>
        <argsstring>(float *humidity)</argsstring>
        <name>cy8ckit_032_get_humidity_percent</name>
        <param>
          <type>float *</type>
          <declname>humidity</declname>
        </param>
        <briefdescription>
<para>Gets the current humidity, in percent, from the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">humidity</parametername>
</parameternamelist>
<parameterdescription>
<para>The current humidity percent. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="277" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="274" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="274" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga7f7c5b43b0865b54a5924018a7ba1d6f" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_ambient_light_lux</definition>
        <argsstring>(float *light)</argsstring>
        <name>cy8ckit_032_get_ambient_light_lux</name>
        <param>
          <type>float *</type>
          <declname>light</declname>
        </param>
        <briefdescription>
<para>Gets the ambient light measurement, in lux, from the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">light</parametername>
</parameternamelist>
<parameterdescription>
<para>The current ambient light in lux. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="288" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="285" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="285" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__afe_1ga857e8c048725f58b6a384da25d8e6c7f" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>static cy_rslt_t cy8ckit_032_get_potentiometer_voltage</definition>
        <argsstring>(float *voltage)</argsstring>
        <name>cy8ckit_032_get_potentiometer_voltage</name>
        <param>
          <type>float *</type>
          <declname>voltage</declname>
        </param>
        <briefdescription>
<para>Gets the current potentiomenter voltage from the shield board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">voltage</parametername>
</parameternamelist>
<parameterdescription>
<para>The current potentiometer voltage. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="299" bodyfile="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" bodystart="296" column="1" file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" line="296" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />\file<sp />cy8ckit_032.h</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="4"><highlight class="comment"><sp />*<sp />Description:<sp />This<sp />file<sp />contains<sp />the<sp />public<sp />interface<sp />for<sp />the<sp />CY8CKIT-032</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*<sp />Analog<sp />Front<sp />End<sp />shield.</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*******************************************************************************</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />\copyright</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*<sp />Copyright<sp />2018-2020<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*<sp />SPDX-License-Identifier:<sp />Apache-2.0</highlight></codeline>
<codeline lineno="11"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="12"><highlight class="comment"><sp />*<sp />Licensed<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the<sp />"License");</highlight></codeline>
<codeline lineno="13"><highlight class="comment"><sp />*<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance<sp />with<sp />the<sp />License.</highlight></codeline>
<codeline lineno="14"><highlight class="comment"><sp />*<sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="15"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="16"><highlight class="comment"><sp />*<sp /><sp /><sp /><sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="17"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="18"><highlight class="comment"><sp />*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,<sp />software</highlight></codeline>
<codeline lineno="19"><highlight class="comment"><sp />*<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an<sp />"AS<sp />IS"<sp />BASIS,</highlight></codeline>
<codeline lineno="20"><highlight class="comment"><sp />*<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.</highlight></codeline>
<codeline lineno="21"><highlight class="comment"><sp />*<sp />See<sp />the<sp />License<sp />for<sp />the<sp />specific<sp />language<sp />governing<sp />permissions<sp />and</highlight></codeline>
<codeline lineno="22"><highlight class="comment"><sp />*<sp />limitations<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="23"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cybsp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"mtb_ssd1306.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal">{</highlight></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_LIGHT_SENSOR<sp /><sp /><sp /><sp />(CYBSP_A0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_DAC_VOLTAGE<sp /><sp /><sp /><sp /><sp />(CYBSP_A1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_POTENTIOMETER<sp /><sp /><sp />(CYBSP_A2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_UART_RX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_D0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_UART_TX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_D1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_GPIO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_D2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_BUTTON1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_D4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_LED1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_D5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_LED2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_D11)</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_BUTTON2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_D12)</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_CAPSENSE_ISR<sp /><sp /><sp /><sp />(CYBSP_D13)</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_I2C_SDA<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_D14)</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="preprocessor">#define<sp />CY8CKIT_032_PIN_I2C_SCL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_D15)</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1gga8ae4e63f4cf9368b21b9135e4a99969ea990159918a6a08206cc69f0ed5724acd">CY8CKIT_032_LED_CTRL_CAPSENSE</ref><sp />=<sp />0x00,<sp /></highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1gga8ae4e63f4cf9368b21b9135e4a99969eac31237ee0fd6c067a7b7d985316d2d35">CY8CKIT_032_LED_CTRL_SW</ref><sp />=<sp />0x01,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="96"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga8ae4e63f4cf9368b21b9135e4a99969e">cy8ckit_032_led_ctrl_t</ref>;</highlight></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791acf575695441321c054ea4575a0d5a688">CY8CKIT_032_CLED0</ref><sp />=<sp />0x01,<sp /></highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791a6875d2eb6dad64f7f58b46acd8174c41">CY8CKIT_032_CLED1</ref><sp />=<sp />0x02,<sp /></highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791a66b579835c443d54705e2ce6adb6c7ca">CY8CKIT_032_CLED2</ref><sp />=<sp />0x04,<sp /></highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1ggaf25332c40547505dab1f43255cea7791a35017434b0f88ca8e7e40d218ef557c7">CY8CKIT_032_CLED3</ref><sp />=<sp />0x08,<sp /></highlight></codeline>
<codeline lineno="110"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref>;</highlight></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a86b4e38ca54d7e17670f57a36068059a">CY8CKIT_032_BTN_CAPSENSE_B0</ref><sp />=<sp />0x01,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a5219805a2911005c52d6c6091f54b197">CY8CKIT_032_BTN_CAPSENSE_B1</ref><sp />=<sp />0x02,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430af2e76120234cd700f72f4ab481992e9b">CY8CKIT_032_BTN_CAPSENSE_B2</ref><sp />=<sp />0x04,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a03166086ed04e19c72d51565b56c46ab">CY8CKIT_032_BTN_CAPSENSE_B3</ref><sp />=<sp />0x08,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a8c4a8c70f60aecdff398b4d1c6678734">CY8CKIT_032_BTN_MECHANICAL_B1</ref><sp />=<sp />0x10,<sp /></highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a9c423e22d65eedfe2a31c0a5a7ff569d">CY8CKIT_032_BTN_MECHANICAL_B2</ref><sp />=<sp />0x20,<sp /></highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__afe_1gga5fbfea25e4c4c750e67302a64d24d430a63eafa6b5b7eb2f1a5aeadb088ec1237">CY8CKIT_032_BTN_PROXIMITY</ref><sp />=<sp />0x40,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="121"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430">cy8ckit_032_button_t</ref>;</highlight></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="comment">/*<sp />I2C<sp />memory<sp />offsets<sp />for<sp />manipulating<sp />data<sp />on<sp />the<sp />shield.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CY8CKIT_032_I2C_OFFSET_DAC_VALUE<sp /><sp /><sp /><sp /><sp /><sp />(0x00)</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CY8CKIT_032_I2C_OFFSET_LED_VALUE<sp /><sp /><sp /><sp /><sp /><sp />(0x04)</highlight><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CY8CKIT_032_I2C_OFFSET_LED_CONTROL<sp /><sp /><sp /><sp />(0x05)</highlight><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CY8CKIT_032_I2C_OFFSET_BUTTON_STATE<sp /><sp /><sp />(0x06)</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CY8CKIT_032_I2C_OFFSET_TEMPERATURE<sp /><sp /><sp /><sp />(0x07)</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CY8CKIT_032_I2C_OFFSET_HUMIDITY<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0B)</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CY8CKIT_032_I2C_OFFSET_AMBIENT_LIGHT<sp /><sp />(0x0F)</highlight><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CY8CKIT_032_I2C_OFFSET_POTENTIOMETER<sp /><sp />(0x13)</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="comment">/*<sp />Utility<sp />functions<sp />for<sp />reading/writing<sp />data<sp />to<sp />the<sp />shield.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal">cy_rslt_t<sp />_cy8ckit_032_get_byte(uint8_t<sp />offset,<sp />uint8_t<sp />*value);</highlight></codeline>
<codeline lineno="137"><highlight class="normal">cy_rslt_t<sp />_cy8ckit_032_set_byte(uint8_t<sp />offset,<sp />uint8_t<sp />value);</highlight></codeline>
<codeline lineno="138"><highlight class="normal">cy_rslt_t<sp />_cy8ckit_032_get_float(uint8_t<sp />offset,<sp /></highlight><highlight class="keywordtype">float</highlight><highlight class="normal"><sp />*value);</highlight></codeline>
<codeline lineno="139"><highlight class="normal">cy_rslt_t<sp />_cy8ckit_032_set_float(uint8_t<sp />offset,<sp /></highlight><highlight class="keywordtype">float</highlight><highlight class="normal"><sp />value);</highlight></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga3f1d698f453a56c53c6fb82154eab33d">cy8ckit_032_init</ref>(cyhal_i2c_t<sp />*inst);</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga95cffb0a55bb053a698c65a1e995a73b">cy8ckit_032_free</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga914db1d633216a9597a3382f31c45b91">cy8ckit_032_set_dac_voltage</ref>(</highlight><highlight class="keywordtype">float</highlight><highlight class="normal"><sp />volts)</highlight></codeline>
<codeline lineno="166"><highlight class="normal">{</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_set_float(_CY8CKIT_032_I2C_OFFSET_DAC_VALUE,<sp />volts);</highlight></codeline>
<codeline lineno="168"><highlight class="normal">}</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1gad0904175debfeefc12418de6819c747f">cy8ckit_032_get_cled_states</ref>(uint8_t<sp />*states)</highlight></codeline>
<codeline lineno="178"><highlight class="normal">{</highlight></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_get_byte(_CY8CKIT_032_I2C_OFFSET_LED_VALUE,<sp />states);</highlight></codeline>
<codeline lineno="180"><highlight class="normal">}</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga6e086bd772859b13190977f9a11d3424">cy8ckit_032_get_cled_state</ref>(<ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref><sp />cled,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />*state);</highlight></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga9a2abb7cf0fc2e7a227b0090206c6b25">cy8ckit_032_set_cled_states</ref>(uint8_t<sp />states)</highlight></codeline>
<codeline lineno="200"><highlight class="normal">{</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_set_byte(_CY8CKIT_032_I2C_OFFSET_LED_VALUE,<sp />states);</highlight></codeline>
<codeline lineno="202"><highlight class="normal">}</highlight></codeline>
<codeline lineno="203"><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga4fe179327d38604d082fd32706a836e9">cy8ckit_032_set_cled_state</ref>(<ref kindref="member" refid="group__group__board__libs__afe_1gaf25332c40547505dab1f43255cea7791">cy8ckit_032_cled_t</ref><sp />cled,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />state);</highlight></codeline>
<codeline lineno="213"><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga1afa04ddd2a43dc24429099544f57ee5">cy8ckit_032_set_led_control</ref>(<ref kindref="member" refid="group__group__board__libs__afe_1ga8ae4e63f4cf9368b21b9135e4a99969e">cy8ckit_032_led_ctrl_t</ref><sp />control)</highlight></codeline>
<codeline lineno="221"><highlight class="normal">{</highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_set_byte(_CY8CKIT_032_I2C_OFFSET_LED_CONTROL,<sp />control);</highlight></codeline>
<codeline lineno="223"><highlight class="normal">}</highlight></codeline>
<codeline lineno="224"><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga510471363750648f95a23e275b80c82b">cy8ckit_032_get_led_control</ref>(<ref kindref="member" refid="group__group__board__libs__afe_1ga8ae4e63f4cf9368b21b9135e4a99969e">cy8ckit_032_led_ctrl_t</ref><sp />*control)</highlight></codeline>
<codeline lineno="232"><highlight class="normal">{</highlight></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_get_byte(_CY8CKIT_032_I2C_OFFSET_LED_CONTROL,<sp />(uint8_t<sp />*)control);</highlight></codeline>
<codeline lineno="234"><highlight class="normal">}</highlight></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga133dd5aaaec2244008abda92ba8f4bb8">cy8ckit_032_get_button_states</ref>(uint8_t<sp />*states)</highlight></codeline>
<codeline lineno="244"><highlight class="normal">{</highlight></codeline>
<codeline lineno="245"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_get_byte(_CY8CKIT_032_I2C_OFFSET_BUTTON_STATE,<sp />states);</highlight></codeline>
<codeline lineno="246"><highlight class="normal">}</highlight></codeline>
<codeline lineno="247"><highlight class="normal" /></codeline>
<codeline lineno="255"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1gaecbe783623caee02f3c33260d564a218">cy8ckit_032_get_button_state</ref>(<ref kindref="member" refid="group__group__board__libs__afe_1ga5fbfea25e4c4c750e67302a64d24d430">cy8ckit_032_button_t</ref><sp />button,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />*state);</highlight></codeline>
<codeline lineno="256"><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga8b76517d2c71cc29c15994e291ef52f5">cy8ckit_032_get_temperature_c</ref>(</highlight><highlight class="keywordtype">float</highlight><highlight class="normal"><sp />*temperature)</highlight></codeline>
<codeline lineno="264"><highlight class="normal">{</highlight></codeline>
<codeline lineno="265"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_get_float(_CY8CKIT_032_I2C_OFFSET_TEMPERATURE,<sp />temperature);</highlight></codeline>
<codeline lineno="266"><highlight class="normal">}</highlight></codeline>
<codeline lineno="267"><highlight class="normal" /></codeline>
<codeline lineno="274"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1gaf3eccc9ce9a839fd55285253550e62e1">cy8ckit_032_get_humidity_percent</ref>(</highlight><highlight class="keywordtype">float</highlight><highlight class="normal"><sp />*humidity)</highlight></codeline>
<codeline lineno="275"><highlight class="normal">{</highlight></codeline>
<codeline lineno="276"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_get_float(_CY8CKIT_032_I2C_OFFSET_HUMIDITY,<sp />humidity);</highlight></codeline>
<codeline lineno="277"><highlight class="normal">}</highlight></codeline>
<codeline lineno="278"><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga7f7c5b43b0865b54a5924018a7ba1d6f">cy8ckit_032_get_ambient_light_lux</ref>(</highlight><highlight class="keywordtype">float</highlight><highlight class="normal"><sp />*light)</highlight></codeline>
<codeline lineno="286"><highlight class="normal">{</highlight></codeline>
<codeline lineno="287"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_get_float(_CY8CKIT_032_I2C_OFFSET_AMBIENT_LIGHT,<sp />light);</highlight></codeline>
<codeline lineno="288"><highlight class="normal">}</highlight></codeline>
<codeline lineno="289"><highlight class="normal" /></codeline>
<codeline lineno="296"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__afe_1ga857e8c048725f58b6a384da25d8e6c7f">cy8ckit_032_get_potentiometer_voltage</ref>(</highlight><highlight class="keywordtype">float</highlight><highlight class="normal"><sp />*voltage)</highlight></codeline>
<codeline lineno="297"><highlight class="normal">{</highlight></codeline>
<codeline lineno="298"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cy8ckit_032_get_float(_CY8CKIT_032_I2C_OFFSET_POTENTIOMETER,<sp />voltage);</highlight></codeline>
<codeline lineno="299"><highlight class="normal">}</highlight></codeline>
<codeline lineno="300"><highlight class="normal" /></codeline>
<codeline lineno="301"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="302"><highlight class="normal">}</highlight></codeline>
<codeline lineno="303"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="304"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_CY8CKIT-032/CY8CKIT-032/cy8ckit_032.h" />
  </compounddef>
</doxygen>